# Update an API key

`POST https://backend.estactics.com/api/apiTokens/updateUserApiToken`

Changes the name or permissions of a key. You can only give permissions you have yourself.

Authentication: `Authorization: Bearer YOUR_API_KEY`. Required permission: `apiTokens.MANAGE`.

## Body parameters

- `id` (integer, required): ID of the key.
- `name` (string): 
- `permissions` (object): What the key is allowed to do.

## Example request body

```json
{
  "id": 8,
  "name": "Main website"
}
```

## Example response

```json
{
  "success": true,
  "data": {
    "id": 8
  }
}
```
